<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

// Titles
$lang['LOGIN']				= 'Login!';
$lang['SIGNUP']				= 'Sign Up!';
$lang['ADMIN_PASSWORD']		= 'Administrator Password';
$lang['ADMIN_NAME']			= 'Administrator Name';
$lang['SUBDOMAIN']			= 'Subdomain';
$lang['COMPANY']			= 'Company';
$lang['SUCCESS_SAVE']		= 'User Registered Successful.';	
$lang['SUCCESS_SAVE_LOGIN']	= 'User Registered Successfully. Login to continue.';
$lang['CONFIRM_PASSWORD']	= 'Confirm Password';
$lang['CONFIRM_PASSWORD_DIFFERENT'] = 'Confirm Password & Administrator Password are different';

$lang['COMPANY_LENGTH']		= 'Company field should be minimum 5 characters.';
$lang['SUBDOMAIN_LENGTH']	= 'Sub-Domain field should me minimum 4 characters.';
$lang['ADMIN_NAME_LENGTH']	= 'Administrator Name field should be minimum 4 characters.';
$lang['ADMIN_PASSWORD_LENGTH']='Password field should be minimum 6 characters.';
$lang['SUBDOMAIN_NAME_NOT_YET_VERIFIED']= 'Sub-Domain name not yet verified.';


$lang['CLOUD_ENTITY_REGISTERED'] = 'Welcome to Output Time %s!';
$lang['CLOUD_ENTITY_REGISTER_TEMPLATE'] = "Dear %s,\n\nA very special welcome to you  %s, and thank you for signing up in Output Time.\n\n 
		Your Web Address :\n%s\n\nLogin Email:%s\n\n
		From now, Output Time will take your Time Tracking & Project Management activities to the next level.
		Log in to your account, follow these simple steps to get started\n
		1. Add your Team Member in Manage > Users.\n
		2. Put your Clients in Manage > Clients.\n
		3. Create Projects in Manage > Projects.\n
		4. Start Posting time for your Activity or Project Tasks.\n\n
		For more details, you can also check <a href='http://support.outputtime.com/' target='_blank'>http://support.outputtime.com/</a>\n
		If you have any other questions, problems, suggestions, please contact us at <A href='mailto:support@srimax.com' target='_blank'>support@srimax.com</a> any time.\n\n
		Warm Regards,\nOutput Time Team";
$lang['ON_PRE_ENTITY_REGISTERED'] = 'Welcome to Output Time %s!';
$lang['ON_PRE_ENTITY_REGISTER_TEMPLATE'] = "Dear %s,\n\n A very special welcome to you  %s, and thank you for signing up in Output Time.\n\n
		Your Output Time Download Url:\n\n%s\n\nTrial License Key:&nbsp;%s\n\n
		From now, Output Time will take your Time Tracking & Project Management activities to the next level. Just install Output Time in your server & all other clients can access directly from their browsers.\n
		For more details:\n<a href='http://support.outputtime.com/output-time/on-premises-server/' target='_blank'>http://support.outputtime.com/output-time/on-premises-server/</a>\n\n
		If you have any other questions, problems, suggestions, please contact us at <a href='mailto:support@srimax.com' target='_blank'>support@srimax.com</a> any time.\n\n
		Warm Regards,\nOutput Time Team";
$lang['ENTITY_ON_PRE_SUCCESS'] ='Thank you for registering on-premises server account. The download link & Trial license key will be sent to your email.';

$lang['NEW_CLOUD_SUBSCRIPTION_SUB'] = 'Output Time Pro Subscription'; 		
$lang['NEW_CLOUD_SUBSCRIPTION_MSG'] = "Thank you %s for Signing up Output Time Pro Plan!\n\nYour Subscription Details:\n\nValidity: %s to %s\nNumber of Users: %s\nOrder Number: %s\n\n
Sign-in & Continue your service:\n%s\n\nIf you have any other requirements, please contact us at <a href='mailto:support@srimax.com' target='_blank'>support@srimax.com</a> any time.\n\n
Thank you !!\n\nWarm Regards,\nOutput Time Team";
$lang['CLOUD_SUBSCRIPTION_SUB'] = 'Output Time Pro Subscription Renewal';
$lang['CLOUD_SUBSCRIPTION_MSG'] = "Thank you %s for renewing your Output Time Pro Plan!\n\nYour Subscription Renewal Details:\n\nValidity: %s to %s\nNumber of Users: %s\nOrder Number: %s\n\n
If you have any other requirements, please contact us at <a href='mailto:support@srimax.com' target='_blank'>support@srimax.com</a> any time.\n\n
Thank you !!\n\nWarm Regards,\nOutput Time Team";

$lang['ON_PRE_SUBSCRIPTION_SUB'] = 'Output Time On-Premises License Purchase';
$lang['ON_PRE_SUBSCRIPTION_MSG'] = "Thank you %s for purchasing Output Time On-premises server license!\n\nYour License Details:\n\nLicense: %s\nCompany Name: %s\nOrder Number: %s\nDate: %s\n\n
If you have any other requirements, please contact us at <a href='mailto:support@srimax.com' target='_blank'>support@srimax.com</a> any time.\n\n
Thank you !!\n\nWarm Regards,\nOutput Time Team";


// $lang['WEEKLY_MAIL_CONTENT']	= 'Dear %s,</br><p style="padding-left:20px;">This is Output Time weekly report of your company <b style="color:#0077BB;">%s</b> for the period <b style="color:#208ED3;">%s</b>.</p></br>%s</br>%s';

$lang['WEEKLY_MAIL_CONTENT']	=  'Dear %s,</br><p style="padding-left:20px;">Your <b style="color:#0077BB;font-weight:normal;">%s</b> Output Time weekly report for the period <b style="color:#208ED3;font-weight:normal;">%s</b>.</p></br>%s</br>%s';

$lang['WEEKLY_MAIL_PROJECT_HOURS']	= str_replace(array(PHP_EOL, '	'), '', '<table style="width:70%;margin:auto;font-family:arial;color:gray;" cellpadding="5" cellspacing="5">
	<colgroup>
		<col style="width:40px;">
		<col style="width:45%;">
		<col style="width:45%;">
	</colgroup>
	<thead>
		<tr>
			<th style="text-align:left;" colspan="3">Project Hours</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td style="40px">&nbsp;</td>
			<td style="width:45%;color:#52d793;padding-bottom:0px;font-size:20px;">Billable</td>
			<td style="width:45%;color:#fc8660;padding-bottom:0px;font-size:20px;">Non Billable</td>
		</tr>
		<tr>
			<td style="40px">&nbsp;</td>
			<td style="width:45%;color:#52d793;padding-top:0px;">##billable_hours## Hrs</td>
			<td style="width:45%;color:#fc8660;padding-top:0px;">##nonbillable_hours## Hrs</td>
		</tr>
		<tr style="color:gray;">
			<td style="40px">&nbsp;</td>
			<td style="width:45%;padding-bottom:0px;padding-top:15px;font-size:20px;">Invoiced</td>
			<td style="width:45%;padding-bottom:0px;padding-top:15px;font-size:20px;">UnInvoiced</td>
		</tr>
		<tr style="color:gray;">
			<td style="40px">&nbsp;</td>
			<td style="width:45%;padding-top:0px;">##invoiced_hours## Hrs</td>
			<td style="width:45%;padding-top:0px;">##uninvoiced_hours## Hrs</td>
		</tr>
	</tbody>
</table>');

$lang['WEEKLY_MAIL_MILESTONES']	= str_replace(array(PHP_EOL, '	'), '', '<table style="width:70%;margin:auto;font-family:arial;color:gray;" cellpadding="5" cellspacing="5">
	<colgroup>
		<col style="width:40px;">
		<col style="width:45%;">
		<col style="width:45%;">
	</colgroup>
	<thead>
		<tr>
			<th style="text-align:left;" colspan="3">Milestones</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td style="40px">&nbsp;</td>
			<td style="width:45%;color:#fc8660;padding-bottom:0px;font-size:20px;">Overdue</td>
			<td style="width:45%;color:gray;padding-bottom:0px;font-size:20px;">Upcoming</td>
		</tr>
		<tr>
			<td style="40px">&nbsp;</td>
			<td style="width:45%;color:#fc8660;padding-top:0px;">##overdue##</td>
			<td style="width:45%;color:gray;padding-top:0px;">##upcoming##</td>
		</tr>
	</tbody>
</table>');

$lang['WEEKLY_MAIL_REPORT_UNSUBSCRIBED_SUCCESSFULLY']	= 'You have been successfully un-subscribed from Output Time Weekly Report';
