<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	set_cache_header();
?>
<script type="text/html" id="task-tmpl">
	<div class="page-header-bar">
		<div id="alert_message" class="ac col-md-9 fix-it"></div>
		<span class="title dib" style="padding:5px;"><?php echo lang('TASK_TODO'); ?></span>
		<?php /*<div class="btn-sm dib btn-group btn-toggle">
			<button data-bind="click:$root.swap_view" class="btn btn-sm btn-default"><?php echo lang('TASK'); ?></button>
			<button data-bind="click:$root.swap_view" class="btn btn-sm btn-primary active"><?php echo lang('TASK_TODO'); ?></button>
		</div>*/ ?>
		<div class="dib" style="padding:5px;max-width:350px;min-width:300px;width:auto;">
			<select data-bind="value:$root.project_id, options:$root.projects, optionsText:'label', optionsValue:'value', optionsCaption:'<?php echo lang('SELECT_PROJECT'); ?>', chosen:true" class="form-control input-sm nm">
			</select>
		</div>
		<div class="btn-group btn-sm dib">
			<button class="btn btn-success btn-sm icon-white icon-save" title="Save" data-bind="click: $root.save"></button>
			<button class="btn btn-default btn-sm icon insert-above" title="Insert above" data-bind="click: $root.insertAbove">
				<i class="icon">&nbsp;</i>
			</button>
			<button class="btn btn-default btn-sm icon insert-below" title="Insert below" data-bind="click: $root.insertBelow">
				<i class="icon">&nbsp;</i>
			</button>
			<button class="btn btn-default btn-sm icon-arrow-right" title="Indent" data-bind="click: $root.indent"></button>
			<button class="btn btn-default btn-sm icon-arrow-left" title="Outdent" data-bind="click: $root.outdent"></button>
			<button class="btn btn-default btn-sm icon-level-up" title="Move up" data-bind="click: $root.moveUp"></button>
			<button class="btn btn-default btn-sm icon-level-down" title="Move down" data-bind="click: $root.moveDown"></button>
			<button class="btn btn-default btn-sm icon-remove" title="Delete" data-bind="click: $root.deleteItem"></button>
<?php /*
			<button class="btn btn-default icon-copy" title="Copy" data-bind="click: $root.copy"></button>
			<button class="btn btn-default icon-paste" title="Paste" data-bind="click: $root.paste"></button>
*/ ?>
		</div>
		<div class="dib">
			<div class="dib btn-group btn-sm">
				<button class="btn btn-default btn-sm icon-time" title="<?php echo lang('MY_HOURS'); ?>" data-bind="css:{'active':$root.is_tsw}, click:$root.showTSW"></button>
			</div>
		</div>
		<div class="pull-right" style="margin-top:10px;">
			<a role="button" href="javascript:;" data-toggle="dropdown" class="dropdown-toggle btn btn-default btn-sm icon icon-cog"></a>
			<ul class="dropdown-menu">
				<li class="" data-bind="css:{'disabled':!isToDo()}"><a href="javascript:;" class="task" data-bind="click:$root.swap_view">Detail View</a></li>
				<li class="" data-bind="css:{'disabled':isToDo}"><a href="javascript:;" class="todo" data-bind="click:$root.swap_view">Compact View</a></li>
				<!-- ko ifnot:isToDo -->
				<li class="divider" role="separator"></li>
				<li><a href="javascript:;" data-bind="click:$root.showColumns"><?php echo lang('COLUMNS'); ?></a></li>
				<!-- /ko -->
			</ul>
		</div>
		<?php /*
		<a class="minimize pull-right" href="javascript:;" onClick="$('body').toggleClass('fs');" style="margin-top:5px;">
			<i class="icon-resize-small icon-metro"></i>
		</a>*/?>
		<div class="dn" style="padding:5px;">
			<div class="col-md-6">
				<select class="form-control input-sm" data-bind="options:$root.search_task_types, optionsText:'label', optionsValue:'id', value:$root.task_type_id, chosen:true">
				</select>
			</div>
			<div class="col-md-6 np">
				<select class="form-control input-sm" data-bind="options:$root._info.task_status, optionsText:'name', optionsValue:'task_status_id', value:$root.task_status_id, chosen:true">
				</select>
			</div>
		</div>
	</div>
	<div id="body-container" class="container np fw fh">
		<div id="list-container" class="container np fw fh" data-bind="css:{'todo':$root.isToDo}">
			<div class="dropdown" id="contextMenu" style="position:absolute;">
				<ul class="dropdown-menu">
					<li><a class="menuitem" data-bind="click:$root.insertAbove" href="javascript:;"><?php echo lang('INSERT_ABOVE'); ?></a></li>
					<li><a class="menuitem" data-bind="click:$root.insertBelow" href="javascript:;"><?php echo lang('INSERT_BELOW'); ?></a></li>
					<li class="divider nm"></li>
					<li><a class="menuitem" data-bind="click:$root.indent" href="javascript:;"><?php echo lang('INDENT'); ?></a></li>
					<li><a class="menuitem" data-bind="click:$root.outdent" href="javascript:;"><?php echo lang('UN_INDENT'); ?></a></li>
					<li><a class="menuitem" data-bind="click:$root.moveUp" href="javascript:;"><?php echo lang('MOVE_UP'); ?></a></li>
					<li><a class="menuitem" data-bind="click:$root.moveDown" href="javascript:;"><?php echo lang('MOVE_DOWN'); ?></a></li>
					<li class="divider nm"></li>
					<li><a class="menuitem" data-bind="click:$root.copy" href="javascript:;"><?php echo lang('COPY'); ?>&nbsp;&nbsp;&nbsp;(Ctrl + C)</a></li>
					<li><a class="menuitem" data-bind="click:$root.paste" href="javascript:;"><?php echo lang('PASTE'); ?>&nbsp;&nbsp;(Ctrl + V)</a></li>
					<li class="divider nm"></li>
					<li><a class="menuitem" data-bind="click:$root.showPaneComments" href="javascript:;"><?php echo lang('COMMENTS'); ?></a></li>
					<li><a class="menuitem" data-bind="click:$root.showPaneDoc" href="javascript:;"><?php echo lang('DOCUMENTS'); ?></a></li>
					<li class="divider nm"></li>
					<li><a class="menuitem" data-bind="click:$root.deleteItem" href="javascript:;"><?php echo lang('DELETE'); ?></a></li>
				</ul>
			</div>
			<!-- ko if:$root.is_tsw -->
			<div data-bind="css:{'tsw':$root.is_tsw}" style="height: 30px; overflow: hidden; padding: 0px 13px 0px 0px;" class="container pr fw tsw" id="header-container">
				<div class="fw dib" id="vph">
					<div style="width: 50%;" data-bind="with:$root.tsw" class="container np fh pull-right pr" id="box3-head">
						<table class="tsw-tbl-head nm table table-bordered dt" id="tswTable-head">
							<colgroup data-bind="foreach:{data:columns, as:'column'}"><?php /*
								<col style="min-width:60px;width:60px;">
								<!-- ko foreach:{data:columns, as:'column'} -->
								*/ ?><col style="min-width:60px;width:60px;"><?php /*
								<!-- /ko -->
								<col style="min-width:60px;width:60px;">
							*/ ?></colgroup>
							<thead>
								<tr class="unselectable" data-bind="foreach:{data:columns, as:'column'}"><?php /*
									<th class="ac">
										<span class=""><?php echo lang('EST_HRS'); ?></span>
										<span data-bind="click:nav('-')" class="icon icon-chevron-left cp fw"></span>
									</th>
									<!-- ko foreach:{data:columns, as:'column'} -->
								*/ ?><th data-bind="css:{'holyH':column.isLeave}" class="ac">
										<span class="prev icon icon-chevron-left cp" data-bind="visible:($index()==0), click:$parent.nav('-')"></span>
										<small data-bind="text:column.month"></small>
										<span data-bind="text:column.sdate" class="h5 dib nm"></span>
										<span class="nxt icon icon-chevron-right cp" data-bind="visible:($index()==$parent.columns().length-1), click:$parent.nav('+')"></span>
									</th><?php /*
									<!-- /ko -->
									<th class="ac">
										<span data-bind="click:nav('+')" class="icon icon-chevron-right cp fw"></span>
										<span class=""><?php echo lang('ACT_HRS'); ?></span>
									</th>
							*/ ?></tr>
							</thead>
						</table>
					</div>
				</div>
			</div>
			<!-- /ko -->
			<div id="pane-container" class="" data-bind="css:{'gantt':$root.is_gantt, 'tsw':$root.is_tsw}">
				<div id="grid-pane" class="" data-bind="css:{'pane-open':isPane, 'fh':isRightPane}">
					<div tabindex="0" id="grid-container" class="container np fw unselectable" data-bind="gridify:gridify_params" task-list-cnt='true'>
						<div id="view-port" class="dib pr fw">
							<div class="container np pr pull-left cont" style="width:70%;" id="box1-body">
								<table id="task-table1" class="task-tbl table table-bordered dt nm nb">
									<colgroup>
										<col for="closed" style="max-width: 30px; width: 25px;">
										<col for="documents" style="max-width: 30px; width: 25px;">
										<col for="comments" style="max-width: 30px; width: 25px;">
										<col for="tname" style="width:auto;">
										<col for="ttype" style="width: 150px;">
										<col for="assignee" style="width: 150px;">
										<col for="duration" style="width:90px;">
									</colgroup>
<?php /*							<!-- ko if:_info.is_nodata -->
									<thead>
										<th><?php echo lang('CLOSE'); ?></th>
										<th><span class="icon icon-paperclip"></span></th>
										<th><span class="icon icon-comments"></span></th>
										<th><?php echo lang('TASK_NAME'); ?></th>
										<th><?php echo lang('TASK_TYPE'); ?></th>
										<th><?php echo lang('ASSIGNEE'); ?></th>
										<th><?php echo lang('DUE_DATE'); ?></th>
									</thead>
									<!-- /ko -->
*/ ?>
									<tbody class="editable" id="tasks" data-bind="template:{name:'mainTmpl1', foreach:items}">
									</tbody>
								</table>

<?php //						<span class="cellselect"> ?>
									<span class="cell-top"></span>
									<span class="cell-right"></span>
									<span class="cell-bottom"></span>
									<span class="cell-left"></span>
<?php //						</span> ?>

								<div class="hidder pa" id="hidder0">
									<input type="text" id="txt-normal" class="nb" placeholder="Task Name" onfocus="var a=this.value;this.value='';this.value=a;" />
									<input type="text" id="txt-duration" class="nb ac" maxlength="3" value="0" data-bind="numberOnly:true" />
									<div id="task_type_box" class="">
										<select data-bind="options:$root.task_types, optionsValue:'id', optionsText:'label', value:0" data-placeholder="Select Task Type" class="form-control input-sm">
										</select>
									</div>
									<div id="followers_box" class="">
										<select multiple="multiple" data-bind="foreach:$root.users_sort().slice(1), selectedOptions:[]" data-placeholder="Select Followers" class="form-control input-sm">
											<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
										</select>
									</div>
									<div id="assignee_box" class="">
										<select data-bind="foreach:$root.users_sort, value:0" class="form-control input-sm" data-placeholder="Select Assignee">
											<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
										</select>
									</div>
									<div id="date-picker" class="ac cp">
										<h6 style="padding:4px 6px;" class="wnw pull-left fw nm"></h6>
										<input type="text" class="dtpicker cp pa fw fh" />
									</div>
								</div>
								<span class="cellselect"></span>
							</div>
							<!-- ko if:$root.is_tsw -->
							<div id="box3-body" class="container np pr pull-left cont" data-bind="with:$root.tsw" style="width:50%;">
								<table id="tswTable" class="tsw-tbl table dt nm table-bordered">
									<colgroup data-bind="foreach:{data:columns, as:'column'}"><?php /*
										<col style="min-width:60px;width:60px;">
										<!-- ko foreach:{data:columns, as:'column'} -->
										*/?><col style="min-width:60px;width:60px;"><?php /*
										<!-- /ko -->
										<col style="min-width:60px;width:60px;">
									*/?></colgroup>
									<tbody data-bind="template:{ name:'tswTmpl', foreach:$root.items, as:'item'}">
									</tbody>
								</table>
								<div class="hidder pa" id="hidder2">
									<input type="text" id="txt-hours" class="nb" maxlength="3" value="0" data-bind="numberOnly:true" />
								</div>
								<span class="cellselect"></span>
							</div>
							<!-- /ko -->
						</div>
					</div><?php /*
					<div id="scroller" class="container np fw">
						<div id="scr1" class="scr pull-left nb nm np">
							<div class="bar"></div>
						</div>
						<!-- ko if:($root.is_gantt()||$root.is_tsw()||$root.is_tsa()) -->
						<div id="scr3" class="scr pull-left nb nm np">
							<div class="bar"></div>
						</div>
						<!-- /ko -->
					</div>
					<!-- ko ifnot:isRightPane -->
					<span class="swapPane">
						<a href="javascript:;" class="icon " data-bind="css:{'icon-chevron-up':!isPane(),'icon-chevron-down':isPane}, click:swapPane"></a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:;" class="icon icon-retweet" data-bind="click:swapPanePos"></a>
					</span>
					<!-- /ko -->
				*/?></div>
				<!-- ko if:isRightPane -->
				<?php $this->load->view('tasks/right_pane_tmpl', array('is_todo'=>true)); ?>
				<!-- /ko --><?php /*
				<!-- ko ifnot:isRightPane -->
				<?php $this->load->view('tasks/bottom_pane_tmpl'); ?>
				<!-- /ko -->
			*/ ?></div>
		</div>
		<?php /* ?>
		<div data-bind="visible:is_edit_mode, with:editItem" class="bottom-span">
		</div>
		<div data-bind="slideVisible:is_edit_mode" style="display:none;"class="page_slide">
			<div id="edit_layout" class="page_slide_layout"></div>
		</div>
		<?php */ ?>
		<div class="fade in pa tsw-popup y-popup" id="tsa-popup" style="display:none;min-width:150px;right:100%;" data-bind="with:tsa_popup">
			<div class="popover-content">
				<ul data-bind="foreach:list" class="list-unstyled dib fw nm vam">
					<li class="">
						<span class="pull-left" data-bind="text:first_name"></span>
						<span class="pull-right" data-bind="text:hours"></span>
					</li>
				</ul>
			</div>
		</div>
		<div class="popover fade in pa" id="popover" style="display:none;" data-bind="with:tsDetails">
			<div class="arrow"></div>
			<h3 style="" class="popover-title">
				<span class=""><?php echo lang('TIMESHEET_DETAIL'); ?></span>
				<div class="pull-right">
					<span class="txt-success cp h5" data-bind="click:$parent.saveTSD"><?php echo lang('SAVE'); ?></span>&nbsp;
					<span class="icon-remove cp" data-bind="click:$parent.cancelTS">&nbsp;</span>
				</div>
			</h3>
			<div class="popover-content">
				<table class="table table-condensed pull-left time-edit-table nmb" >
					<tbody data-bind="foreach:details">
						<tr class="" data-bind="css:{'error':isValid()==false}">
							<td class="text-center nb">
								<input type="text" class="col-md-12 np ac" data-bind="value:from_time, timeEntry:{date:$parent.entry_date}, event:{blur:function(data, event){$parent.newHrs(data, event); itemBlur(data, event, 'from'); }}" />
							</td>
							<td class="text-center nb npl npr" style="width:20px;"><?php echo lang('TO'); ?></td>
							<td class="text-center nb">
								<input type="text" class="col-md-12 np ac" data-bind="value:to_time, timeEntry:{date:$parent.entry_date}, event:{blur:itemBlur}" />
							</td>
							<td class="ar nb vam">
								<span class="label label-default dib h5" data-bind="text:hours"></span>
							</td>
							<td class="ar nb vam" style="width:20px;">
								<span class="icon icon-trash cp" data-bind="click:$parent.deleteHrs, visible:from_time"></span>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	<div id="no-record" class="container np fw fh ac h3" style="display:none;"><?php echo lang('NO_RECORD_TO_DISPLAY'); ?></div>
	<div id="tsk-loading" class="container np fw fh ac h3" ><?php echo lang('LOADING'); ?>...</div>
	<!-- div id="loading" class="container np fw fh ac h3">Loading...</div -->
</script>
<script type="text/html" id="mainTmpl1">
	<!-- ko if:is_visible -->
	<tr class="" data-bind="attr:{title:'#' + form.task_number() + ' - ' + form.name()}, cls:'task_'+uniqueId()+' num_'+form.task_number(), css:{'ne':!is_editable(), 'over-due':is_over_due, 'closed':is_closed}">
		<td class="nb" target="closed" skip="1" data-bind="indexValue:form.order_id, if:!form.is_parent() && (form.name().length>0||form.task_id()>0)">
			<input type="checkbox" class="nm" data-bind="checked:is_closed" />
		</td>
		<td class="nb cp doc" target="documents" skip="1" data-bind="if:has_attachments">
			<span class="icon icon-paperclip"></span>
		</td>
		<td class="nb cp comments" target="comments" skip="1" data-bind="if:has_comments">
			<span class="icon icon-comments"></span>
			<span class="balloon" data-bind="text:new_comments"></span>
		</td>
		<td class="tname" target="tname" data-bind="css:{'parent':children().length>0}, style:{paddingLeft:(($parents.length-1)*20)+5 + 'px'}">
			<span class="excol cp" data-bind="css:{'col':show_child()==false}, click:$root.swapView"></span>
			<span class="dib" data-bind="text:form.name"></span>
			<span class="gray" data-bind="visible:($index()==0 && form.name()=='')"><?php echo lang('TASK_NAME'); ?></span>
		</td>
		<td class="ttype" target="ttype">
			<span class="label label-default" data-bind="visible:(form.name()&&!form.is_parent()), text:form.task_type_name"></span>
			<span class="gray" data-bind="visible:($index()==0 && form.task_type_name()=='')"><?php echo lang('TASK_TYPE'); ?></span>
		</td>
		<td class="assignee" target="assignee" style="color:#999999;text-overflow:ellipsis;" data-bind="attr:{title:form._info.assignee_disp}">
			<span style="color: #999999;font-size: 85%;" data-bind="visible:form.name, text:form._info.assignee_disp"></span>
			<span class="gray" data-bind="visible:($index()==0 && form.name()=='')"><?php echo lang('ASSIGNEE'); ?></span>
		</td>
		<td class="fdate ac" target="fdate"><?php /* <span class="fdate" data-bind="date:{date:form.finish_date, fi:form.name().length>0||form.task_id()>0, td:'Today', tm:'Tomorrow', ye:'Yesterday', tdcss:'label label-success', tmcss:'label label-success', yecss:{'label':true,'label-danger':!is_closed(), 'label-default':is_closed}}"></span> */ ?>
			<span class="fdate" data-bind="duedate:{date:form.finish_date, fi:form.name().length>0||form.task_id()>0, is_closed:is_closed}"></span>
			<span class="gray" data-bind="visible:($index()==0 && form.name()=='')"><?php echo lang('DUE_DATE'); ?></span>
		</td>
	</tr>
	<!-- ko template:{name:'mainTmpl1', foreach:children, if:show_child} --><!-- /ko -->
	<!-- /ko -->
</script>
<?php
	$this->load->view('tasks/right_pane_script_tmpl');
	$this->load->view('tasks/gantt_tmpl');
	$this->load->view('tasks/timesheet_week_tmpl');
?>
