<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div data-bind="with:week_view" style="position:relative;">
	<div class="input-group" style="top:-10px">
		<div class="pull-left" style="position:relative;">
			<h4 class="pull-left nm" style="padding:4px 6px;" data-bind="text:nav_date"></h4>
			<input type="text" class="input-sm dtpicker npl npr cp" data-bind="value:date, datepicker:true"></input>
		</div>
		<div class="pull-left">
			<button data-bind="click:week_change('+')" class="btn no-bg nb icon-chevron-up split up np" type="button">&nbsp;</button>
			<button data-bind="click:week_change('-')" class="btn no-bg nb icon-chevron-down split np" type="button">&nbsp;</button>
		</div><div class="clearfix"></div>
	</div>
	<div class="table-responsive">
		<table cellpadding="0" cellspacing="0" border="0" class="table table-bordered" id="week_list">
			<thead>
				<tr class="active">
					<th class="col-md-5 fw-normal ac vam">
						<div class="gray_shade" data-bind="hidden:is_ts_running, hours:{val:hours}"></div>
						<div class="gray_shade" data-bind="visible:is_ts_running, hours:{val:running_hours}"></div>
					</th>
					<!-- ko foreach:days -->
					<th class="ac" data-bind="css:{'selected':is_current, 'today':date().isToday(), 'leave':is_leave, 'disabled':date().isFuture(), 'last':($index()==6)}">
						<a href="javascript:;" data-bind="click:$parent.changeDate">
							<div class="day nm" data-bind="text:day_name"></div>
							<div class="date cp dib text-center text-primary icons-metro img-circle img-thumbnail" style="margin-top:5px;" data-bind="text:day_value, css:{'bg-blue':date().isToday()}"></div>
							<div style="margin-top:10px;">
								<label class="label label-default fs-14 fw-normal" data-bind="hidden:is_ts_running, hours:{val:hours}"></label>
								<label class="label label-default fs-14 fw-normal" data-bind="visible:is_ts_running, hours:{val:running_hours}"></label>
							</div>
						</a>
					</th>
					<!-- /ko -->
					<th class="bg-white wb"></th>
				</tr>
			</thead>
			<tbody data-bind="visible:listing().length>0, foreach:listing">
				<tr data-bind="css:{'in-act gray':!_info.is_active()}">
					<td class="vam">
						<div class="col-md-10 npr" data-bind="attr:{style: 'border-left:3px solid ' + _info.bg_color()}">
							<span title="High Priority" data-bind="visible:_info.task_priority()==1" class="text-danger h5 b" style="left: 2px;margin-top: 1px;position: absolute;margin-left:-20px;">&#8593;</span>		
							<span title="Low Priority" data-bind="visible:_info.task_priority()==3" class="text-success h5 b" style="left: 2px;margin-top: 1px;position: absolute;margin-left:-20px;">&#8595;</span>
							<i class="task-flag" data-bind="text:'Task #'+_info.task_number(), click:$parent.showTask, visible:(project_task_id()-0)>0"></i>	
							<span class="h4 task_name" data-bind="text:activity_name, visible:activity_name()!=''"></span>
							<span class="h4 task_name" data-bind="text:_info.project_name, visible:activity_name()==''"></span>
							<br/>
							<div class="dib fw">
								<!-- ko if:(activity_name()!='') -->
								<span class="h5 np" data-bind="text:_info.project_name, style:{color:_info.bg_color}"></span>&nbsp;&nbsp;
								<span class="clearfix visible-xs"></span>
							<!-- /ko -->
								<span class="gray np" data-bind="text:_info.task_type_name"></span>
							</div>
						</div>
						<div class="col-md-2 np cutter-top">
							<?php // Don't remove start class ?>
							<span class="start cp pull-right pr" data-bind="visible:(_info.is_ts_running() || (Otime.UID==$root.sel_user() || Otime.isM)), click:start, css:{'icon-pause':_info.is_ts_running, 'icon-play':!_info.is_ts_running()}">&nbsp;</span>
						</div>
					</td>
					<!-- ko foreach:hours_list_week -->
						<!-- ko ifnot:is_edit_mode -->
							<?php if (is_member($role)): ?>
							<td class="ac vam" data-bind="click:$parent.edit, css:{'nbr':$index()!=$parent.hours_list_week().length-1, 'today':_info.isToday, 'future':_info.isFuture, 'cp':status()==''&&!_info.isFuture()&&$parent._info.is_active()}">
							<?php else: ?>
							<td class="ac vam" data-bind="click:$parent.edit, css:{'nbr':$index()!=$parent.hours_list_week().length-1, 'today':_info.isToday, 'future':_info.isFuture, 'cp':!_info.isFuture()&&$parent._info.is_active()}">
							<?php endif; ?>
								<i data-bind="visible:notes" class="notes icon icon-edit icon-white"></i>
								<!-- ko if:_info.is_ts_running -->
									<h5 class="nm" data-bind="html:_info.hours_disp"></h5>
								<!-- /ko -->
								<!-- ko ifnot:_info.is_ts_running -->
									<?php if (is_admin($role)): ?>
										<i class="icon icon-lock pull-right gray" data-bind="visible:invoice_id>0"></i>
									<?php endif; ?>
									<?php if (is_member($role)): ?>
										<i class="icon icon-lock pull-right gray" data-bind="visible:status()=='S'"></i>
										<img class="icon icon-lock pull-right gray img12x12" src="<?php echo base_url(); ?>assets/img/lock_tick.png" data-bind="visible:status()=='A'" />
										<h5 class="nm" data-bind="hours:{val:hours}, css:{gray:status()!=''}"></h5>
									<?php else: ?>
										<h5 class="nm" data-bind="hours:{val:hours}"></h5>
									<?php endif; ?>
								<!-- /ko -->
							</td>
						<!-- /ko -->
						<!-- ko if:_info.is_editable()==true&&is_edit_mode()==true -->
						<?php if (!$tsReq): ?>
						<!-- ko if:count()<=1 -->
							<td class="ac np editable vam" data-bind="css:{'nbr':$index()!=$parent.hours_list_week().length-1, 'bg-grey':_info.isToday}">
								<input type="text" id="hours" class="fw np nb nm ac" data-bind="value:hours, enable:_info.is_editable, numberOnly:{keyCodes:[58]}, event:{blur:$parent.save()}" maxlength="5" />
							</td>
						<!-- /ko -->
						<?php endif; ?>
						<!-- ko if:count()>1 -->
							<td class="ac cp vam" data-bind="css:{'nbr':$index()==$parent.hours_list_week().length-1}, 'bg-grey':_info.isToday">
								<h5 class="nm" data-bind="text:hours"></h5>
							</td>
						<!-- /ko -->
						<!-- /ko -->
					<!-- /ko -->
					<td class="bg-white ac vam wb vam">
						<span class="dib label label-default">
							<h4 class="nm" data-bind="hidden:_info.is_ts_running, hours:{val:total_hours}"></h4>
							<h4 class="nm" data-bind="visible:_info.is_ts_running, hours:{val:_info.running_hours}"></h4>
						</span>
					</td>
				</tr>
			</tbody>
			<tfoot data-bind="hidden:(listing().length<=0 || is_options)">
				<tr class="active add_new_value">
					<td class="nbb">
						<span class="pr pull-left fw" data-bind="hidden:$parent.is_options">
							<a href="javascript:;" class="btn btn-success" data-bind="click:showOpt(null)">
								<i class="icon icon-plus icon-white"></i>
							</a>
						</span>
					</td>
					<td class="ac" colspan="7"></td>
					<td class="bg-white wb ac"></td>
				</tr>
			</tfoot>
			<tfoot data-bind="visible:(listing().length==0 || is_options), with:new_item">
				<tr class="active add_new_value">
					<td class="nbb">
						<span class="pr pull-left fw">
							<input type="text" placeholder="<?php echo lang('ACTIVITY'); ?>" class="form-control form-group nm" data-bind="value:activity_name, autoComplete:{source:getTasks, select:setTasks}" />
						</span>
					</td>
					<!-- ko foreach:hours_list_week -->
					<?php if (!$tsReq): ?>
						<td class="ac">
							<input type="text" data-bind="value:hours, numberOnly:{keyCodes:[58]}, visible:_info.is_editable" maxlength="5" placeholder="<?php echo lang('HOURS'); ?>" class="form-control ac" />
						</td>
					<?php else: ?>
						<td class="ac" data-bind="click:$parent.editNew">
							<input type="text" class="form-control input-sm bg-white cp" placeholder="<?php echo lang('HOURS'); ?>" data-bind="value:hours, visible:_info.is_editable" readonly="readonly" />								
						</td>
					<?php endif; ?>
					<!-- /ko -->
					<td class="bg-white wb ac"></td>
				</tr>
				<tr class="active">
					<td class="nbt">
						<select data-bind="options:$root.projects, optionsText:'label', optionsValue:'id', optionsCaption:'<?php echo lang('SELECT_THE_PROJECT'); ?>', value:project_id, chosen:true">
						</select>
						<span class="clearfix">&nbsp;</span>
						<select data-bind="options:_info.task_types, optionsText:'name', optionsValue:'task_type_id', optionsCaption:'Select Task type...', value:task_type_id, chosen:true">
						</select>
						<div style="margin-top:5px;">
							<label>
								<?php if ($isModifyBillable):?> 
									<input type="checkbox" data-bind="checked:is_billable" />
								<?php endif;?>
								<span data-bind="visible:is_billable" class="gray small"><?php echo lang('BILLABLE'); ?></span>
								<span data-bind="hidden:is_billable" class="gray small"><?php echo lang('NON_BILLABLE'); ?></span>
							</label>
						</div>
					</td>
					<td colspan="7" class="ac vam">
						<div class="btn-group">
							<button class="btn btn-success btn-sm save nb" data-bind="click:save(true)"><i class="icon-save icon-white"></i>&nbsp;&nbsp;<?php echo lang('SAVE'); ?></button>
							<button class="btn btn-primary btn-sm close_btn nb" data-bind="click:cancel(true)"><i class="icon-remove icon-white"></i></button>
						</div>
					</td>
					<td class="bg-white wb"></td>
				</tr>
			</tfoot>
		</table>
		<?php if (is_member() && $isAR): ?>
		<div class="row col-md-10" data-bind="visible:isApprove">
			<button class="btn btn-sm btn-primary approval pull-right nb" data-bind="click:submit" type="button"><?php echo lang('SUBMIT_FOR_APPROVAL'); ?></button>
		</div>
		<?php endif; ?>
	</div>
	<div id="context-menu">
		<ul class="dropdown-menu" role="menu">
			<li id="ts_notes"><a class="menuitem" action="notes" href="javascript:;"><?php echo lang('NOTES'); ?></a></li>
			<li><a class="menuitem" action="edit" href="javascript:;"><?php echo lang('EDIT'); ?></a></li>
		</ul>
	</div>
	<div id="add-notes" style="display:none;width:200px;height:100px;">
		<textarea rows="" cols="" style="width:100%;height:100%;border:1px solid #CCC;" placeholder="Notes..."></textarea>
	</div>
</div>
