﻿jQuery(function () {
	jQuery.support.placeholder = false;
	test = document.createElement('input');
	if ('placeholder' in test) jQuery.support.placeholder = true;
});
(function ($) {
	$.fn.placeholder = function (option) {
		if($.support.placeholder) {
			return;
		}
		return this.each(function () {
			var $this = $(this);
			var isdone = $this.attr("isdone");
			if(isdone!="true"){
				$this.attr("isdone","true");
				var phtext = $this.attr("placeholder");
				var style = "";
				style+="position:relative !important;display:block !important;margin:0 !important;padding:0 !important;-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;"
				classes = '';
				if($this.hasClass("input-mini")){
					classes ="input-mini"; 
				}
				var $box = $("<div class='"+classes+"' style='"+style+"'></div>");
				$this.before($box);
				$box.append($this);
				style = "";
				style+="position:absolute !important";
				style+=";left:8px !important;top:5px !important;font-size:13px !important;font-weight:normal !important;";
				style+=";color:#999999 !important;white-space:nowrap !important";
				style+=";z-index:0 !important;min-height:20px !important;line-height:20px !important"
				var $span = $("<span style='"+style+"'></span>");
				$span.html(phtext);
				if($this.hasClass("time-entry")){
					$span.css("left","0px");
				}
				$this.after($span);
				$this.removeAttr("placeholder");
				if ($.trim($this.val()) != "") {
					$span.hide();
				}
				$span.click(function(){
					$this.focus();
				});
				$this
				.keydown(function () {
					$span.hide();
				})
				.keyup(function () {
					checkplaceholdertext($(this), $span);
				})
				.change(function () {
					checkplaceholdertext($(this), $span);
				})
				.blur(function () {
					var $in = $(this);
					checkplaceholdertext($in, $span);
				});
			}
		});
		function checkplaceholdertext($input, $span) {
			var v = $.trim($input.val());
			var phtext = $input.attr("placeholder");
			$span.hide();
			if (v == "" || v == phtext) {
				$input.val("");
				$span.show();
			}
		}
	};
})(jQuery);
