<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class OT_Form_validation extends CI_Form_validation {

	public function is_unique($str, $field)
	{
		list($table, $field)	= explode('.', $field);

		$q = $this->CI->db->query("SHOW KEYS FROM ".$this->CI->db->dbprefix($table)." WHERE Key_name = 'PRIMARY'")->row();
		$primary_key = $q->Column_name;
		
		$pri_val	 = $this->CI->input->post($primary_key); 
		if ($primary_key == 'entity_id' && $entity_id = $this->CI->ot_app->get('entity_id'))
		{
			$pri_val = $entity_id;	
		}

		if($pri_val > 0)
		{
			$query = $this->CI->db->limit(1)->get_where($table, array($field => $str,$primary_key.' !='=>$pri_val));
		}
		else
		{
			$query = $this->CI->db->limit(1)->get_where($table, array($field => $str));
		}

		return $query->num_rows() === 0;
	}

	public function uniquee_to_entity($str, $field)
	{
		$this->CI->form_validation->set_message('uniquee_to_entity', 'The %s field must contain a unique value');
		list($table, $field)	= explode('.', $field);

		$q = $this->CI->db->query("SHOW KEYS FROM ".$this->CI->db->dbprefix($table)." WHERE Key_name = 'PRIMARY'")->row();
		$primary_key = $q->Column_name;

		$where = array($field => $str, 'entity_id'=>$this->CI->ot_app->get('entity_id'));
		if($this->CI->input->post($primary_key))
		{
			$where[$primary_key.' !='] = $this->CI->input->post($primary_key);
		}
		$query = $this->CI->db->limit(1)->get_where($table, $where);

		return $query->num_rows() === 0;
	}
}


/* End of file OT_Form_validation.php */
/* Location: ./application/libraries/OT_Form_validation.php */
