<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	set_cache_header();
?>
<div id="clientcontainer" class="row nm">
	<div class="page-header-bar">
		<div id="alert_message" class="ac col-md-9 fix-it"></div>
		<span title="<?php echo lang('CLIENTS_PAGE'); ?>" class="title"><?php echo lang('CLIENTS'); ?></span>
		<ul class="btns list-inline">
			<!-- ko if: is_edit_mode()==false -->
			<li>
				<a href="javascript:;" title="<?php echo lang('ADD_NEW_CLIENT'); ?>" data-bind="click:addItem"><i class="icon-plus icon-metro img-circle"></i></a>
			</li>
			<!-- /ko -->
			<!-- ko if: is_edit_mode()==true -->
			<li>
				<a href="javascript:;" title="<?php echo lang('SAVE'); ?>" data-bind="click:saveItem"><i class="icon-save icon-metro img-circle"></i></a>
			</li>
			<li>
				<a href="javascript:;" title="<?php echo lang('CANCEL'); ?>" data-bind="click:cancel"><i class="icon-arrow-left icon-metro img-circle"></i></a>
			</li>
			<!-- /ko -->
			<li>
				<a href="javascript:;" title="<?php echo lang('SWAP_VIEW'); ?>" data-bind="click:swapView">
					<!-- ko if:is_list_view -->
						<i class="icon-th icon-metro img-circle"></i>
					<!-- /ko -->
					<!-- ko ifnot:is_list_view -->
						<i class="icon-list icon-metro img-circle"></i>
					<!-- /ko -->
				</a>
			</li>
			<!-- /ko -->
		</ul>
	</div>
	<div class="clearfix"></div>
	<div id="body-container" class="col-lg-12 auto-height">
		<div class="row  auto-height">
			<div id="list-container" class="cutter-top" data-bind="css:{'col-lg-12':is_edit_mode()==false,'col-lg-8 hidden-xs hidden-sm':is_edit_mode}">
				<div class="row" data-bind="visible:is_list_view">
					<div class="col-md-12" style="max-width:1000px;">
						<table cellpadding="0" cellspacing="0" border="0" class="table table-striped table-hover client-list-table" data-bind="visible:items().length>0">
							<thead>
								<tr>
									<th class="col-lg-7"><?php echo lang('CONTACT_NAME'); ?></th>
									<th class="text-center hidden-sm col-lg-2"><?php echo lang('ACTIVE_PROJECTS'); ?></th>
									<th class="col-lg-2"></th>
								</tr>
							</thead>
							<tbody data-bind="foreach:items">
								<tr class="cp">
									<td data-bind="event:{dblclick:$parent.editItem}">
										<div class="row" >
											<div class="col-lg-12">
												<div class="col-lg-10">
													<span data-bind="text:client_name"></span>
												</div>
												<div class="col-lg-2 hidden-sm">
													<label class="label label-default">&nbsp;<!--ko text:_info.total_contacts --><!--/ko-->&nbsp;&nbsp;<img src="<?php echo base_url('assets/img/client_user.png'); ?>" />&nbsp;</label>
												</div>
											</div>
										</div>
									</td>
									<td class="text-center hidden-sm" data-bind="click:$parent.editItem">
										<span data-bind="text:_info.active_projects"></span>
									</td>
									<td>
										<div class="dropdown pull-right">
											<label class="dropdown-toggle" data-toggle="dropdown" id="options" data-bind="click:$root.get_info">&nbsp;&nbsp;&nbsp;&nbsp;<i class="icon-cog">&nbsp;</i></label>
											<ul class="dropdown-menu" data-bind="visible:is_active()=='1'">
											<!-- ko if:_info.projects_count()>0 -->
												<li>
													<a href="javascript:;"><?php echo lang('PROJECTS'); ?> (<!--ko text: _info.projects_count --><!--/ko-->)</a>
												</li>
											<!-- /ko -->
											<!-- ko if:_info.unpaid_invoice()>0 -->
												<li>
													<a href="javascript:;"><?php echo lang('UNPAID_INVOICES'); ?> (<!--ko text: _info.unpaid_invoice --><!--/ko-->)</a>
												</li>
											<!-- /ko -->
											<!-- ko if:_info.all_invoice()>0 -->
												<li>
													<a href="javascript:;"><?php echo lang('ALL_INVOICES'); ?> (<!--ko text: _info.all_invoice --><!--/ko-->)</a>
												</li>
											<!-- /ko -->
											<!-- ko if:_info.active_projects()<=0 && _info.all_invoice()<=0 -->
												<li class="divider"></li>
											<!-- /ko -->
												<li>
													<a href="javascript:;" data-bind="click:$root.archiveItem(0),visible:(_info.active_projects()<=0 && _info.all_invoice()<=0)">
														<i class="icon-archive"></i>&nbsp;&nbsp;<?php echo lang('ARCHIVE'); ?>
													</a>
												</li>
												<li data-bind="visible:(actual_value()<=0 && _info.active_projects()<=0 && _info.all_invoice()<=0)">
													<a href="javascript:;" data-bind="click:$root.deleteItem">
														<i class="icon-trash"></i>&nbsp;&nbsp;<?php echo lang('DELETE'); ?>
													</a>
												</li>												
											</ul>
											<ul class="dropdown-menu" data-bind="visible:is_active()=='0'">
												<li>
													<a href="javascript:;" data-bind="click:$root.archiveItem(1)">
														<i class="icon-expand"></i>&nbsp;&nbsp;<?php echo lang('UNARCHIVE'); ?>
													</a>
												</li>
												<li data-bind="visible:actual_value()<=0">
													<a href="javascript:;" data-bind="click:$root.deleteItem">
														<i class="icon-trash"></i>&nbsp;&nbsp;<?php echo lang('DELETE'); ?>
													</a>
												</li>
											</ul>
										</div>
										<label class="label btn btn-success edit bg-light-green pull-right" id="edit" data-bind="click:$parent.editItem, visible:is_active()==1">&nbsp;<?php echo lang('EDIT'); ?>&nbsp;</label>
									</td>
								</tr>
							</tbody>
						</table>
						<div class="cutter-top text-center" data-bind="visible:items().length==0">
							<span class="well"><?php echo lang('NO DATA FOUND'); ?></span>
						</div>
					</div>
				</div>
				<div data-bind="hidden:is_list_view">
					<div id="clientlist" class="row metro-list">
						<!-- ko foreach:items -->
							<div class="maso-item img-rounded metro-item" style="color: #FFFFFF !important" data-bind="style:{backgroundColor:bg_color}">
								  <div class="dropdown pull-right row client_button_group metro-edit">
										<a href="javascript:;" class="pull-left" data-bind="click:$parent.editItem, visible:is_active() == 1" id="edit"><i class="icon-pencil icon-white"></i>&nbsp;<?php echo lang('EDIT'); ?></a>
										<span class="separator" data-bind="visible:is_active() == 1">|</span>
										<div class="pull-left">
											<a href="javascript:;" class="dropdown-toggle" data-toggle="dropdown" data-bind="click:$root.get_info" id="options"><i class="icon-cog icon-white">&nbsp;</i></a>
											<ul class="dropdown-menu" data-bind="visible:is_active()=='1'">
											<!-- ko if:_info.projects_count()>0 -->
												<li>
													<a href="javascript:;"><?php echo lang('PROJECTS'); ?> (<!--ko text: _info.projects_count --><!--/ko-->)</a>
												</li>
											<!-- /ko -->
											<!-- ko if:_info.unpaid_invoice()>0 -->
												<li>
													<a href="javascript:;"><?php echo lang('UNPAID_INVOICES'); ?> (<!--ko text: _info.unpaid_invoice --><!--/ko-->)</a>
												</li>
											<!-- /ko -->
											<!-- ko if:_info.all_invoice()>0 -->
												<li>
													<a href="javascript:;"><?php echo lang('ALL_INVOICES'); ?> (<!--ko text: _info.all_invoice --><!--/ko-->)</a>
												</li>
											<!-- /ko -->
											<!-- ko if:_info.active_projects()<=0 && _info.all_invoice()<=0 -->
												<li class="divider"></li>
											<!-- /ko -->
												<li>
													<a href="javascript:;" data-bind="click:$root.archiveItem(0), visible:(_info.active_projects()<=0 && _info.all_invoice()<=0)">
														<i class="icon-archive"></i>&nbsp;&nbsp;<?php echo lang('ARCHIVE'); ?>
													</a>
												</li>
												<li data-bind="visible:(actual_value()<=0 && _info.active_projects()<=0 && _info.all_invoice()<=0)">
													<a href="javascript:;" data-bind="click:$root.deleteItem">
														<i class="icon-trash"></i>&nbsp;&nbsp;<?php echo lang('DELETE'); ?>
													</a>
												</li>
											</ul>
											<ul class="dropdown-menu" data-bind="visible:is_active()=='0'">
												<li>
													<a href="javascript:;" data-bind="click:$root.archiveItem(1)">
														<i class="icon-expand"></i>&nbsp;&nbsp;<?php echo lang('UNARCHIVE'); ?>
													</a>
												</li>
												<li data-bind="visible:actual_value()<=0">
													<a href="javascript:;" data-bind="click:$root.deleteItem">
														<i class="icon-trash"></i>&nbsp;&nbsp;<?php echo lang('DELETE'); ?>
													</a>
												</li>
											</ul>
										</div>
									</div>
									<div data-bind="event:{dblclick:$parent.editItem}">
										<h4 class="" data-bind="title:{value:client_name}"></h4>
									<!-- ko if: _info.active_projects()>0 -->
										<span class="pull-left al" ><?php echo lang('ACTIVE_PROJECTS'); ?> : <!--ko text: _info.active_projects --><!--/ko--></span>
									<!-- /ko -->
									</div>
									<div class="clearfix">&nbsp;</div>
									<div class="trans" data-bind="if:_info.total_contacts()>0">
										<div class="pull-right ar pointer">
											<img src="<?php echo base_url('assets/img/client_user.png'); ?>" class="pull-left" style="margin-top:4px;margin-right:4px;" width="18" />
											<span style="margin-left:2px;" class="pull-left normal" data-bind="text:_info.total_contacts"></span>
										</div>
									</div>
									<div>
										<div data-bind="visible:is_show_loading"><?php echo lang('LOADING'); ?></div>
									</div>
							</div>	
						<!-- /ko -->
						<div class="cp img-rounded metro-new add maso-item metro-item" id="add_client" data-bind="click:addItem, hidden:active()==0"></div>
					</div>
				</div>
				<div class="backdrop"></div>
			</div>
			<div class="clearfix"></div>
			<div class="pagination col-lg-12 text-center" data-bind="hidden:is_edit_mode">
				<ul class="row" style="list-style:none;">
					<li>
						<a href="javascript:;" data-bind="hidden:finish, click:load_more" class="well"><?php echo lang('SHOW_MORE'); ?></a>
						<a href="javascript:;" class="well" data-bind="visible:show_loading"><?php echo lang('LOADING'); ?></a>
					</li>
				</ul>
			</div>
			<div class="page-slide col-lg-5 col-sm-12 col-xs-12 col-md-5 auto-height" data-bind="slideVisible:is_edit_mode()==true,css:{'set_slider':is_list_view()==false}">
				<div id="edit_layout">
				</div>
			</div>
		</div>
	</div>
	<div class="clearfix"></div>
	<div data-bind="hidden:is_edit_mode">
        <a id="active_box" class="client_box" data-bind="visible:active()==0 && active_count()>0">
            <div data-bind="click: function(){ refresh('1') }"><?php echo lang('ACTIVE_CLIENTS'); ?>:&nbsp;<!-- ko text:active_count --><!-- /ko --></div>
        </a>
        <a id="archive_box" class="client_box" data-bind="visible:active()==1 && archive_count()>0">
            <div data-bind="click: function(){ refresh('0') }"><?php echo lang('ARCHIVED_CLIENTS'); ?>:&nbsp;<!-- ko text:archive_count --><!-- /ko --></div>
        </a>
    </div>
</div>
<?php
	$jslang	= array();
	$tmp	= array(
		'CLIENT_NAME_CANT_EMPTY',
		'CONTACT_NAME_CANT_EMPTY',
		'DELETE_CLIENT_CONFIRM_MSG',
		'CANNOT_ARCHIVE_CLIENT_MSG',
		'ARCHIVE_CLIENT_CONFIRM_MSG',
		'UNARCHIVE_CLIENT_CONFIRM_MSG',
		'CONTACTS',
		'CONTACT',
		'SUCCESS_SAVE',
		'INVALID_EMAIL'
	);
	foreach ($tmp as $val)
	{
		$jslang[$val]	= lang($val);
	}
	$jslang['CONTACT_NAME_UNIQUE']	= lang('MUST_BE_UNIQUE', lang('CONTACT_NAME'));
?>
<script type="text/javascript">
	$(document).ready(function(){
		Otime.Client.language	= <?php echo json_encode($jslang); ?>;
	});
</script>
