<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div id="score-details" class="modal">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header dib fw">
				<button aria-label="Close" data-dismiss="modal" class="close" type="button"><span aria-hidden="true">×</span></button>
				<h4 class="modal-title pull-left"><?php echo 'Score Details'; ?></h4>
				<?php if (!is_member()): ?>
				<div class="pull-left col-md-6"><select class="form-control input-sm nm" data-bind="value:user_id, options:Object.values(users()), optionsText:'label', optionsValue:'user_id', optionsCaption:'All User', chosen:true"></select></div>
				<?php endif; ?>
				<div class="input-group pull-right" style="right: 14px;">
					<div style="position:relative;" class="pull-left">
						<h4 data-bind="shortdate:{from:from_date, to:to_date}" style="padding:4px 6px;" class="pull-left nm"></h4>
						<input type="text" data-bind="value:date, datepicker:true" class="input-sm dtpicker npl npr cp">
					</div>
					<div class="pull-left">
						<button type="button" class="btn no-bg nb icon-chevron-up split up np" data-bind="click:next"></button>
						<button type="button" class="btn no-bg nb icon-chevron-down split np" data-bind="click:prev"></button>
					</div>
				</div>
			</div>
			<div class="modal-body" style="overflow-y:auto;max-height:500px;">
				<!-- ko if:isNoData --><p class="ac">No Data Dound</p><!-- /ko -->
				<!-- ko ifnot:isNoData -->
				<table class="table">
					<colgroup>
						<col style="width:50%"/>
						<col style="width:20%"/>
						<col style="width:30%"/>
					</colgroup>
					<tbody data-bind="foreach:Object.values(available_users())">
					<!-- ko if:is_visible -->
						<tr class="user" style="background:#EEE;">
							<td style="padding:2px;">
								<img class="img32x32" data-bind="img:user_image, attr:{title:first_name}" src="" onerror="javascript:onImageError(this);">
								<span data-bind="text:label"></span>
							</td>
							<td></td>
							<td data-bind="text:total_scores"></td>
						</tr>
						<!-- ko foreach:Object.values(reason_dates) -->
						<tr class="date" style="font-weight:bold;">
							<td data-bind="date:date"></td>
							<td></td>
							<td data-bind="text:total_scores"></td>
						</tr>
						<!-- ko foreach:reasons -->
						<tr class="reason">
							<td>
								<span class="cp" data-bind="text:message, click:$root.edit"></span>
								<br/>
								<textarea tabindex="0" data-bind="visible:isEdit, value:comments, event:{keypress:$root.onKeyPress}, valueUpdate:'afterkeydown'"></textarea>
							</td>
							<td><i data-bind="visible:comments, click:$root.edit" class="icon icon-comment cp"></i></td>
							<td>
								<?php if(is_member()): ?>
								<span><!-- ko text:score --><!-- /ko --><!-- ko text:is_changed --><!-- /ko --></span>
								<?php else: ?>
								<span class="cp" data-bind="hidden:isEdit, click:$root.edit"><!-- ko text:score --><!-- /ko --><!-- ko text:is_changed --><!-- /ko --></span>
								<input class="form-control input-sm" tabindex="1" data-bind="visible:isEdit, value:score, event:{keypress:$root.onKeyPressScore}, valueUpdate:'afterkeydown'" type="text" />
								<?php endif; ?>
								<br/>
								<div class="btn-group" data-bind="visible:isEdit">
									<button title="Save" tabindex="2" data-bind="click:$root.save" class="btn btn-success btn-xs">Save</button>
									<button title="Cancel" tabindex="3" data-bind="click:$root.edit" class="btn btn-primary btn-xs">
										<i class="icon icon-remove" style="color:#FFF;"></i>
									</button>
								</div>
							</td>
						</tr>
						<!-- /ko -->
						<!-- /ko -->
					<!-- /ko -->
					</tbody>
				</table>
				<!-- /ko -->
			</div>
			<div class="modal-footer">
			</div>
		</div>
	</div>
</div>