<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_popup	= (!empty($popup)) ? true : false;
	$view		= (!empty($view)) ? $view : 0;
?>
<?php if ($view == 0 && !$is_popup): ?>
<?php function tableHeadDayView() { ?>
	<colgroup>
		<col style="width:22%">
		<col style="width:17%">
		<col style="width:50%">

		<col style="width:6%">
		<col style="width:12%">
	</colgroup>
	<thead>
		<tr>
			<th><?php echo lang('PROJECT'); ?></th>
			<th><?php echo lang('TASK_TYPE'); ?></th>
			<th><?php echo lang('ACTIVITY'); ?></th>

			<th>&nbsp;</th>
			<th class="ar">
				<button class="btn btn-default btn-sm" data-bind="css:{'active':isProgress}, click:progress" type="button"><span class="cp icon-time"></span></button>
				<?php echo lang('HOURS'); ?>
			</th>
		</tr>
	</thead>
<?php } ?>
<table class="team-table team-table-day-h day-view table table-hover nm" style="display:none;background:#FFF;border-bottom: 2px solid #DDD;position:fixed;top:90px;">
	<?php tableHeadDayView(); ?>
</table>
<table class="team-table team-table-day day-view table table-hover" data-bind="visible:items().length>0">
	<?php tableHeadDayView(); ?>
	<tbody data-bind="foreach:items">
		<!-- ko if:is_active() || hours()>0 -->
		<tr class="user">
			<td colspan="4" style="padding:2px;">
				<img src="" data-bind="img:user_image, attr:{title:user_name}" class="img32x32" />
				<span data-bind="text:user_name"></span>
			</td>
			<td data-bind="hours:{val:hours, showNull:true}, click:$root.show_details" class="ar cp day" style="padding:7px;"></td>
		</tr>
		<!-- ko foreach:timesheets -->
		<tr class="timesheet" data-bind="visible:is_show, css:{gray: !is_billable()}">
			<td class="project">
				<span title="High Priority" data-bind="visible:task_priority()==1" class="text-danger h5 b" style="left: 30px;position:absolute;margin-top:2px">&#8593;</span>			
				<span title="Low Priority" data-bind="visible:task_priority()==3" class="text-success h5 b" style="left: 30px;position:absolute;margin-top:2px">&#8595;</span>
				<span data-bind="text:project_name"></span>
			</td>
			<td data-bind="html:task_type"></td>
			<td>
				<i data-bind="visible:task_number, html:'#'+task_number(),  click:$parent.showTask" class="task-flag"></i>
				<span data-bind="text:activity_name"></span>&nbsp;
				<span data-bind="with:status"><div class="label status" data-bind="text:name, style:{backgroundColor:bg_color, color:text_color}"></div></span>
				</br>
				<small data-bind="text:notes" class=""></small>
			</td>
			<td class="ar">
				<span class="gray" data-bind="visible:estimated_hours() > 0 , hours:{val:estimated_hours, showNull:true}"></span>
			</td>
			<td data-bind="click:$root.show_details" class="ar cp day">				
				<b><span class="icon-time" data-bind="visible:is_progress"></span>&nbsp;</b>
				<span data-bind="hours:{val:hours, showNull:true}, hidden:is_progress, css:{'text-danger':(estimated_hours()>0 && estimated_hours() < hours())}" ></span>
				<span data-bind="html:hours_disp, visible:is_progress, css:{'text-danger':(estimated_hours()>0 && estimated_hours() < hours())}""></span>
			</td>
		</tr>
		<!-- /ko -->
		<!-- /ko -->
	</tbody>
</table>
<?php endif; ?>
<?php if ($view == 0 && $is_popup): ?>
<table class="team-table day-view table table-hover">
	<colgroup>
		<col style="width:25%">
		<col style="width:25%">
		<col style="width:40%">
		<col style="width:10%">
	</colgroup>
	<thead>
		<tr>
			<th><?php echo lang('PROJECT'); ?></th>
			<th><?php echo lang('TASK_TYPE'); ?></th>
			<th><?php echo lang('ACTIVITY'); ?></th>
			<th class="ar"><?php echo lang('HOURS'); ?></th>
		</tr>
	</thead>
	<tbody data-bind="foreach:timesheets">
		<!-- ko if:hours()>0 -->
		<tr class="timesheet" data-bind="visible:is_show, css:{gray: !is_billable()}">
			<td data-bind="text:project_name" class=""></td>
			<td class="wnw" data-bind="title:{value:task_type, length:20}, attr:{'title':task_type}"></td>
			<td data-bind="attr:{'title':activity_name()+'\n'+notes()}">
				<span data-bind="visible:task_number, html:'#'+task_number()"></span>
				<span data-bind="title:{value:activity_name, length:25}"></span><?php /*
				<span class="gray" data-bind="visible:estimated_hours() > 0 , text:' | '+estimated_hours()+' Hrs' "></span>
				</br>
				<small data-bind="text:notes" class=""></small> */ ?>
			</td>
			<td class="ar">
				<span data-bind="hours:{val:hours, showNull:true}, hidden:is_progress"></span>
				<span data-bind="html:hours_disp, visible:is_progress"></span>
			</td>
		</tr>
		<!-- /ko -->
	</tbody>
</table>
<?php endif; ?>
<?php if($view == 1): // Week View ?>
<?php	function tableHeadWeekView(){ ?>
	<colgroup>
		<col style="width:20%">
		<!-- ko foreach:Object.values(days()) -->
		<col style="width:10%">
		<!-- /ko -->
		<col style="width:10%">
	</colgroup>
	<thead>
		<tr>
			<th class="ac vam cp" data-bind="click:$root.sort('user')"><?php echo lang('USERS'); // attr:{title:date.format(Otime.dateFormat)}, ?></th>
			<!-- ko foreach:Object.values(days()) -->
			<th class="ac cp" data-bind="date:{date:date}, css:{'holyH gray':is_leave, 'today':is_today}, click:$root.show_day">
			</th>
			<!-- /ko -->
			<th class="ac vam cp" data-bind="click:$root.sort('total_hours')"><?php echo lang('TOTAL_HRS'); ?></th>
		</tr>
	</thead>
<?php } ?>
<table class="team-table team-table-day-h week-view table table-bordered table-striped" style="display:none;background:#FFF;border-bottom: 2px solid #DDD;position:fixed;top:90px;">
	<?php tableHeadWeekView(); ?>
</table>
<table id="team-table-week" class="team-table team-table-day week-view table table-bordered table-striped">
	<?php tableHeadWeekView(); ?>
	<tbody></tbody>
</table>
<?php endif; ?>
<?php if($view == 2): // Month View ?>
<?php function tableHeadMonthView(){ ?>
	<colgroup>
		<col style="width:200px;">
		<!-- ko foreach:Object.values(days()) --> 
		<col style="width:auto;">
		<!-- /ko -->
		<col style="width:60px;">
	</colgroup>
	<thead>
		<tr>
			<th class="ac" data-bind="date:{date:date, format:'MMMM'}, attr:{'colspan':Object.keys(days()||{}).length+2}"></th>
		</tr>
		<tr>
			<th class="ac vam cp" data-bind="click:$root.sort('user')"><?php echo lang('USERS'); // attr:{title:date.format(Otime.dateFormat)}, ?></th>
			<!-- ko foreach:Object.values(days()) -->
			<th class="ac cp" data-bind="date:{date:date, format:'D\nDD'}, css:{'holyH gray':is_leave, 'today':is_today}, click:$root.show_day">
			</th>
			<!-- /ko -->
			<th class="ac vam cp" data-bind="click:$root.sort('total_hours')"><?php echo lang('TOTAL_HRS'); ?></th>
		</tr>
	</thead>
<?php } ?>
<table class="team-table team-table-day-h month-view table table-bordered table-striped" style="display:none;background:#FFF;border-bottom: 2px solid #DDD;position:fixed;top:90px;">
	<?php tableHeadMonthView(); ?>
</table>
<table id="team-table-month" class="team-table team-table-day month-view table table-bordered table-striped">
	<?php tableHeadMonthView(); ?>
	<tbody></tbody>
</table>
<?php endif; ?>
